org.eclipse.mat.query

## Interface IResultTable

All Superinterfaces:
  IResult, IStructuredResult

All Known Implementing Classes:
  CompareTablesQuery.ComparisonResultTable, FindLeaksQuery.SuspectsResultTable, FindLeaksQuery2.SuspectsResultTable, HashEntriesQuery.Result, Histogram, ImmediateDominatorsQuery.ResultImpl, ListResult, PropertyResult, RefinedTable, UnreachableObjectsHistogram

    public interface IResultTable
    extends IStructuredResult

Interface for results in table-form.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getRow(int rowId)` Returns the object of the row with the given row number.
`int` `getRowCount()` Returns the number of rows in the result table.

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Method Detail

#### getRowCount

    int getRowCount()

Returns the number of rows in the result table.

Returns:
  the number of rows

#### getRow

    Object getRow(int rowId)

Returns the object of the row with the given row number.

Parameters:
  `rowId` - The row number.
Returns:
  The row object, which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.